| Openscape Voice V10 - SOAP Interface Documentation

Classes | Functions
Endpoint Provider

Endpoint Provider Definitions and Methods. More...

## Classes
class | QueryEndpointProviderData
| Query Endpoint Provider Data. More...
class | unsp__CreateEndpointProviderRequest
| Create Endpoint Provider request. More...
struct | unsp__CreateEndpointProviderResult
| Create Endpoint Provider Result. More...
class | unsp__ModifyEndpointProviderRequest
| Modify Endpoint Provider request. More...
struct | unsp__ModifyEndpointProviderResult
| Modify Endpoint Provider Result. More...
class | unsp__QueryEndpointProviderRequest
| Query Endpoint Provider request. More...
class | unsp__EndpointProvider
| Endpoint Provider Data. More...
class | unsp__ArrayOfEndpointProvider
| Array of Endpoint Providers. More...
struct | unsp__EndpointProviderResult
| Query Endpoint Provider Result. More...
class | unsp__RemoveEndpointProviderRequest
| Remove Endpoint Provider request. More...
struct | unsp__RemoveEndpointProviderResult
| Remove Endpoint Provider result. More...

## Functions
int | unsp__createEndpointProvider (unsp__CreateEndpointProviderRequest CreateEndpointProviderRequest, struct unsp__CreateEndpointProviderResult *CreateEndpointProviderResult)
| Creates an Endpoint Provider. More...
int | unsp__modifyEndpointProvider (unsp__ModifyEndpointProviderRequest ModifyEndpointProviderRequest, struct unsp__ModifyEndpointProviderResult *ModifyEndpointProviderResult)
| Modifies an Endpoint Provider. More...
int | unsp__queryEndpointProvider (unsp__QueryEndpointProviderRequest QueryEndpointProviderRequest, struct unsp__EndpointProviderResult *QueryEndpointProviderResult)
| Queries Endpoint Providers. More...
int | unsp__removeEndpointProvider (unsp__RemoveEndpointProviderRequest RemoveEndpointProviderRequest, struct unsp__RemoveEndpointProviderResult *RemoveEndpointProviderResult)
| Removes an Endpoint Provider. More...

## Detailed Description

Endpoint Provider Definitions and Methods.

The endpoint Provider expresses the telecom service provider for an NNI Endpoint. Once a Provider is created it can be associated with an NNI Endpoint only if the NNIType of the specific Endpoint is set to PSTNGateway.

See also
  Endpoint

## Function Documentation

## ◆ unsp__createEndpointProvider()

unsp__createEndpointProvider | ( | unsp__CreateEndpointProviderRequest | CreateEndpointProviderRequest,
|  | struct unsp__CreateEndpointProviderResult * | CreateEndpointProviderResult
| ) |  |

Creates an Endpoint Provider.

Parameters

  CreateEndpointProviderRequest | API request
  CreateEndpointProviderResult | API result MP2 command: EndpointProvider [Attributes]

## ◆ unsp__modifyEndpointProvider()

unsp__modifyEndpointProvider | ( | unsp__ModifyEndpointProviderRequest | ModifyEndpointProviderRequest,
|  | struct unsp__ModifyEndpointProviderResult * | ModifyEndpointProviderResult
| ) |  |

Modifies an Endpoint Provider.

Parameters

  ModifyEndpointProviderRequest | API request
  ModifyEndpointProviderResult | API result MP2 command: ModifyEndpointProvider [Attributes]

## ◆ unsp__queryEndpointProvider()

unsp__queryEndpointProvider | ( | unsp__QueryEndpointProviderRequest | QueryEndpointProviderRequest,
|  | struct unsp__EndpointProviderResult * | QueryEndpointProviderResult
| ) |  |

Queries Endpoint Providers.

Parameters

  QueryEndpointProviderRequest | API request
  QueryEndpointProviderResult | API result

## ◆ unsp__removeEndpointProvider()

unsp__removeEndpointProvider | ( | unsp__RemoveEndpointProviderRequest | RemoveEndpointProviderRequest,
|  | struct unsp__RemoveEndpointProviderResult * | RemoveEndpointProviderResult
| ) |  |

Removes an Endpoint Provider.

Parameters

  RemoveEndpointProviderRequest | API request
  RemoveEndpointProviderResult | API result MP2 command: RemoveEndpointProvider [Attributes]